import matplotlib
import pandas as pd
from EnergySystem import EnergySystem
from config import pv_config, grid_config, ess_config


if __name__ == '__main__':
    price_schedule = pd.read_csv('price_schedule.csv')
    data = pd.read_csv('simulation_data.csv')


    pv = pv_config(capacity=100000,cost_per_kW=200,lifetime=25,loss=0.95)
    ess = ess_config(capacity=100000,cost_per_kW=300,lifetime=25,loss=0.95,charge_power=100000,discharge_power=100000)
    grid = grid_config(price_schedule=price_schedule, capacity=5000, grid_loss=0.95, sell_price=0.4)

    energy_system = EnergySystem(pv_type=pv, ess_type=ess, grid_type=grid)

    time_interval = 15 / 60
    benefit = energy_system.simulate(data=data, time_interval=time_interval)

    print(benefit)